# Class DataFrameOther

java.lang.Object
org.snpsift.annotate.mem.dataFrame.DataFrame
org.snpsift.annotate.mem.dataFrame.DataFrameOther

All Implemented Interfaces:
  `Serializable`

public class DataFrameOther extends DataFrame
DataFrameOther is a subclass of DataFrame that is specifically tailored for handling variant type counting and categorization. It extends the functionality of DataFrame by initializing it with specific parameters. This class is designed to work with a VariantTypeCounter and a VariantCategory, and it sets two boolean flags to true in the superclass constructor, which might enable specific features or behaviors in the DataFrame class.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DataFrame

`MAX_ROWS_TO_SHOW`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameOther(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Method Summary

### Methods inherited from class DataFrame

`add, check, columnNames, createColumn, createColumns, eq, find, get, getColumn, getRow, hasEntry, resize, set, sizeBytes, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameOther

public DataFrameOther(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)